Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.objexcel.chataddin
Interface IAddInWin

public abstract interface IAddInWin

AddInWin wraps the different Objirc Chat windows: Room Chat/Query Status AddIn

Field Summary
`static int` | `ICON_ACTION`
`static int` | `ICON_ENTER`
`static int` | `ICON_ERROR`
`static int` | `ICON_EXIT`
`static int` | `ICON_FATAL`
`static int` | `ICON_MSG`
`static int` | `ICON_OBJIRCINFO`
`static int` | `ICON_OUTGOINGCOMMAND`
`static int` | `ICON_SERVERINFO` the icons types that can be passed to message panel

Method Summary
`void` | `addAction(java.lang.String actor, java.lang.String msg)` action icon : quote actor msg
`void` | `addAddInInputListener(IAddInInputListener l)` add a addin input listener so you can get notified whenever the user enters anything in the addin window
`void` | `addEmphasisMsg(java.lang.String msg, int icontype)` icon : quote string
`void` | `addMsg(java.lang.String msg, int icontype)` icon : normal text
`void` | `addMsgEx(java.lang.String actor, java.lang.String msg, int icon)` icon : quote actor : msg
`void` | `addNotice(java.lang.String actor, java.lang.String msg)` computer icon : quote actor : msg
`void` | `addPrivMsg(java.lang.String actor, java.lang.String msg)` speech icon : quote actor : msg
`java.lang.String` | `getLowerTarget()` get the lowercase target for the room/query
`Sender` | `getSender()` get the sender for the room.
`java.lang.String` | `getTarget()` get the propercase target for the room
`boolean` | `isAddInWindow()`
`boolean` | `isQueryWindow()`
`boolean` | `isRoomWindow()`
`boolean` | `isStatusWindow()`
`void` | `removeAddInInputListener(IAddInInputListener l)`
`void` | `sendCommand(java.lang.String command)` parse the user input and send the appropriate command.

Field Detail

### ICON_SERVERINFO

    public static final int ICON_SERVERINFO

  the icons types that can be passed to message panel

### ICON_OBJIRCINFO

    public static final int ICON_OBJIRCINFO

### ICON_MSG

    public static final int ICON_MSG

### ICON_ERROR

    public static final int ICON_ERROR

### ICON_FATAL

    public static final int ICON_FATAL

### ICON_OUTGOINGCOMMAND

    public static final int ICON_OUTGOINGCOMMAND

### ICON_ACTION

    public static final int ICON_ACTION

### ICON_ENTER

    public static final int ICON_ENTER

### ICON_EXIT

    public static final int ICON_EXIT

Method Detail

### addMsgEx

    public void addMsgEx(java.lang.String actor,
                         java.lang.String msg,
                         int icon)

  icon : quote actor : msg

### addPrivMsg

    public void addPrivMsg(java.lang.String actor,
                           java.lang.String msg)

  speech icon : quote actor : msg

### addAction

    public void addAction(java.lang.String actor,
                          java.lang.String msg)

  action icon : quote actor msg

### addNotice

    public void addNotice(java.lang.String actor,
                          java.lang.String msg)

  computer icon : quote actor : msg

### addMsg

    public void addMsg(java.lang.String msg,
                       int icontype)

  icon : normal text

### addEmphasisMsg

    public void addEmphasisMsg(java.lang.String msg,
                               int icontype)

  icon : quote string

### getLowerTarget

    public java.lang.String getLowerTarget()

  get the lowercase target for the room/query
  Returns:
    null if this is the status window

### getTarget

    public java.lang.String getTarget()

  get the propercase target for the room

### getSender

    public Sender getSender()

  get the sender for the room. This usually has a connection with the server. For chat windows it may also have a direct connection with the other person.
  See Also:
    `Sender`

### isRoomWindow

    public boolean isRoomWindow()

  Returns:
    true if this window is a room window

### isQueryWindow

    public boolean isQueryWindow()

  Returns:
    true if this window is a private chat window

### isAddInWindow

    public boolean isAddInWindow()

  Returns:
    true if this window is a addin window

### isStatusWindow

    public boolean isStatusWindow()

  Returns:
    true if this window is the status window

### addAddInInputListener

    public void addAddInInputListener(IAddInInputListener l)

  add a addin input listener so you can get notified whenever the user enters anything in the addin window

### removeAddInInputListener

    public void removeAddInInputListener(IAddInInputListener l)

### sendCommand

    public void sendCommand(java.lang.String command)

  parse the user input and send the appropriate command.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD